<?php
/**
 * +----------------------------------------------------------------------
 * 控制台页面
 * +----------------------------------------------------------------------
 * 官网：https://www.sw-x.cn
 * +----------------------------------------------------------------------
 * 作者：小黄牛 <1731223728@qq.com>
 * +----------------------------------------------------------------------
 * 开源协议：http://www.apache.org/licenses/LICENSE-2.0
 * +----------------------------------------------------------------------
*/

class index extends Controller
{
    public function handle() {
        $list = File::read_all_dir($this->param['path']);
        foreach ($list as $k=>$v) {
            $id = md5($v);
            $status = 1; // 1.待开始 2.进行中 3.错误 4.正确
            $type = Decompose::getType($v);
            
            $speed = Decompose::speedQuery($id);
            if ($speed === null) {
                $score = '-';
                $error = '-';
                $status = 1;
            } else if ($speed > 0 && $speed < 100) {
                $status = 2;
            } else {
                $error_list = Decompose::errorQuery($id);
                $error = count($error_list);
                $score = 100-$error;
                if ($score < 0) $score = 0;
                if ($score == 100) {
                    $status = 4;
                } else {
                    $status = 3;
                }
            }
            
            $list[$k] = [
                'key' => ($k+1),
                'id' => $id,
                'file' => $v,
                'status' => $status,
                'type' => $type,
                'score' => $score,
                'error' =>  $error,
            ];
        }
        file_put_contents(Runtime.'path_cache.json', json_encode($list, JSON_UNESCAPED_UNICODE));
        
        $this->assign('list', $list);
        return $this->display();
    }
}