<?php
/**
 * +----------------------------------------------------------------------
 * 文件操作
 * +----------------------------------------------------------------------
 * 官网：https://www.sw-x.cn
 * +----------------------------------------------------------------------
 * 作者：小黄牛 <1731223728@qq.com>
 * +----------------------------------------------------------------------
 * 开源协议：http://www.apache.org/licenses/LICENSE-2.0
 * +----------------------------------------------------------------------
*/

class File
{
    // 获得目录结构
    public static function read_all_dir($dir, $arr=[]) {
        $hander = scandir($dir); 
        foreach ($hander as $v) { 
            if (is_dir($dir . DS . $v) && $v != "." && $v != "..") {
                $arr = self::read_all_dir($dir . DS . $v, $arr);
            } else {
                if ($v != "." && $v != "..") {
                    if (self::getExt($v) == 'php') {
                        $arr[] = str_replace(DS.DS, DS, $dir.DS.$v);
                    }
                }
            }
        }
        return $arr;
    }
    // 获得文件后缀
    public static function getExt($filename) {
        $arr = pathinfo($filename);
        $ext = $arr['extension'];
        return $ext;
    }
}