<?php
/**
 * +----------------------------------------------------------------------
 * 控制器基类
 * +----------------------------------------------------------------------
 * 官网：https://www.sw-x.cn
 * +----------------------------------------------------------------------
 * 作者：小黄牛 <1731223728@qq.com>
 * +----------------------------------------------------------------------
 * 开源协议：http://www.apache.org/licenses/LICENSE-2.0
 * +----------------------------------------------------------------------
*/

class Controller
{
    protected $param;
    private $data = [];

    public function __construct($param) {
        $this->param = $param;
    }

    public function assign($key, $val) {
        $this->data[$key] = $val;
    }

    public function display() {
        foreach ($this->data as $key => $value) {
            $$key = $value;
        }

        require_once dirname(dirname(__DIR__)) .DS. 'view' .DS. get_class($this). '.php';
    }

    public function rest($code, $msg, $data=[]) {
        header('Content-Type:application/json; charset=utf-8');
        echo json_encode([
            'code' => "$code",
            'msg' => $msg,
            'data' => $data,
        ], JSON_UNESCAPED_UNICODE);
        exit;
    }
}