<?php
/**
 * +----------------------------------------------------------------------
 * 查询单个文件的审查进度
 * +----------------------------------------------------------------------
 * 官网：https://www.sw-x.cn
 * +----------------------------------------------------------------------
 * 作者：小黄牛 <1731223728@qq.com>
 * +----------------------------------------------------------------------
 * 开源协议：http://www.apache.org/licenses/LICENSE-2.0
 * +----------------------------------------------------------------------
*/

class speed_query extends Controller
{
    public function handle() {
        $error = Decompose::errorQuery($this->param['id']);
        $error_num = count($error);
        $score = 100-$error_num;
        if ($score < 0) $score = 0;
        
        return $this->rest('200', '审查完成', [
            'num' => Decompose::speedQuery($this->param['id']),
            'score' => $score,
            'error' => $error_num,
        ]);
    }
}